<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Facelet Title</title>
        <!-- DataTable CSS /-->
        <link href="css/tablestyle.css" rel="stylesheet"/>
    </h:head>
    <h:body>
        Hello from book_index page
        <h2>Lista wszystkich książek</h2>
        <h:form>
            <h:dataTable value = "#{frmBook.books}" var = "book"
                         styleClass = "employeeTable"
                         headerClass = "employeeTableHeader"
                         rowClasses = "employeeTableOddRow,employeeTableEvenRow">
                <h:column>    				
                    <f:facet name = "header">ID</f:facet>    				
                        #{book.id}
                </h:column>

                <h:column>    				
                    <f:facet name = "header">Tytuł</f:facet>    				
                        #{book.title}
                </h:column>

                <h:column>
                    <f:facet name = "header">ISBN</f:facet>
                        #{book.isbn}
                </h:column>

                <h:column>
                    <f:facet name = "header">Rok Wydania</f:facet>
                        #{book.releaseYear}
                </h:column>
                <h:column>
                    <f:facet name="header">Autorzy</f:facet>
                    #{book.authorsNames}
                </h:column>

                <h:column>
                    <f:facet name = "header">Delete</f:facet>
                    <h:commandButton value = "Delete" action = "#{frmBook.delete}"  >                
                        <f:setPropertyActionListener 
                            target = "#{frmBook.bookToDelete}" value = "#{book}" />
                    </h:commandButton>
                </h:column>

            </h:dataTable>
        </h:form>
        <br/><br/>
        <h3>Dodaj nową książkę:</h3>
        <br/>
        <h:form>
            <table>
                <tr>
                    <td>Tytuł :</td>
                    <td><h:inputText size = "100" value = "#{frmBook.title}" /></td>
                </tr>

                <tr>
                    <td>ISBN :</td>
                    <td><h:inputText size = "20" value = "#{frmBook.isbn}" /></td>
                </tr>

                <tr>
                    <td>Rok wydania :</td>
                    <td><h:inputText size = "5" value = "#{frmBook.releaseYear}" /></td>
                </tr>

                <tr>
                    <td>Autorzy (należy oddzielić kolejnych przecinkiem)</td>
                    <td><h:inputText size = "100" value = "#{frmBook.authorsNames}" /></td>
                </tr>
                
                <tr>
                    <td> </td>
                    <td><h:commandButton value = "Add book" 
                                         action = "#{frmBook.addBook()}" /></td>
                </tr>
            </table>	
        </h:form>
    </h:body>
</html>

